
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>uLua学习笔记（三）：Unity3D和Lua之间的相互调用 / 憋错料</title>

    <meta name="description" content="uLua学习笔记（三）：Unity3D和Lua之间的相互调用 这篇笔记主要集中学习一下uLua和Unity3D之间相互调用的方法,我们导入了uLua之后,现在会弹出一个类似学习屏幕的东西,如下: 先赞一个! Unity3D调用Lua Unity3D调用Lua的方法还是比较简单的,所以先说这个,由于这部分在学习笔记(一)中已经说的挺多的了,更多的内容点击这里回去看,所以这里我们就来看一个简单的示例即可: 1 using LuaInterface; 2 using UnityEngine; 3 4 public class UnityCallLua : Mon">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">uLua学习笔记（三）：Unity3D和Lua之间的相互调用</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>这篇笔记主要集中学习一下uLua和Unity3D之间相互调用的方法，我们导入了uLua之后，现在会弹出一个类似学习屏幕的东西，如下：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMC5jbmJsb2dzLmNvbS9ibG9nMjAxNS8yMjMzNzQvMjAxNTA4LzEwMTkwMzU1Nzg1OTc5MS5wbmc=.jpg" /></p>
<p>先赞一个！</p>
<h1>Unity3D调用Lua</h1>
<p>Unity3D调用Lua的方法还是比较简单的，所以先说这个，由于这部分在学习笔记（一）中已经说的挺多的了，更多的内容点击<a href="http://www.cnblogs.com/hammerc/p/4484493.html" rel="external nofollow noreferrer">这里</a>回去看，所以这里我们就来看一个简单的示例即可：</p>
<pre> 1 using LuaInterface;
 2 using UnityEngine;
 3
 4 public class UnityCallLua : MonoBehaviour
 5 {
 6     private string lua = @"
 7 --两个数相加
 8 function add(a, b)
 9     return a + b
10 end
11 --多返回值
12 function foo(a, b, c)
13     return a + b, b + c, a + c
14 end
15 ";
16
17     void Start()
18     {
19         //创建 lua 状态对象
20         LuaState luaState = new LuaState();
21         //运行脚本确保函数已经创建
22         luaState.DoString(lua);
23         //获取函数
24         LuaFunction func = luaState.GetFunction("add");
25         //调用函数
26         object[] result = func.Call(5.2f, 1.3f);
27         //打印结果
28         Debug.Log(result[0]);
29
30         //多返回值函数调用
31         func = luaState.GetFunction("foo");
32         result = func.Call(5.2f, 1.3f, 2.8f);
33         for(int i = 0; i &lt; result.Length; i++)
34         {
35             Debug.Log(result[i]);
36         }
37     }
38 }</pre>
<p>将这个脚本绑定到场景摄像机机上运行即可查看结果。</p>
<h1>Lua调用Unity3D</h1>
<p>Lua调用Unity3D的方法实现上要稍微麻烦一点，具体有以下几个步骤：</p>
<h2>创建要被Lua调用的类</h2>
<p>首先我们需要一个被Lua调用的类，如下：</p>
<pre> 1 using UnityEngine;
 2 using System.Collections;
 3
 4 public class MyClass : MonoBehaviour
 5 {
 6     public static void MyFunc()
 7     {
 8         Debug.Log("Lua call MyFunc!");
 9     }
10
11     void Start()
12     {
13     }
14
15     void Update()
16     {
17     }
18 }</pre>
<p>为了足够简单，就用一个打印信息的静态方法。</p>
<h2>绑定要被调用的类</h2>
<p>打开uLua\Editor\BindLua.cs文件，找到binds静态数组，把我们新建的类添加进去，如下：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMC5jbmJsb2dzLmNvbS9ibG9nMjAxNS8yMjMzNzQvMjAxNTA4LzEwMjAxNTIwMzAxMTY0Ny5wbmc=.jpg" /></p>
<h2>生成包装文件</h2>
<p>在使用之前我们需要先生成Unity可用的包装文件，即把Unity3D的类和方法注册到Lua中，这样Lua才能进行调用。</p>
<p>幸运的是，这些文件不需要我们手动添加，只需要点击菜单栏的&ldquo;lua&rdquo;-&gt;&ldquo;Clear LuaBinder File + Warp Files&rdquo;先清空上次生成的包装文件，然后点击菜单栏&ldquo;lua&rdquo;-&gt;&ldquo;gen Lua Warp File&rdquo;重新生成包装文件即可。</p>
<p>我们会发现我们的类的包装文件以及创建好了：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMC5jbmJsb2dzLmNvbS9ibG9nMjAxNS8yMjMzNzQvMjAxNTA4LzEwMjAyNDQ5MjU0NTY5NS5wbmc=.jpg" /></p>
<h2>添加注册信息</h2>
<p>我们打开uLua\Lua\System\Wrap.lua文件，在最后添加我们新建的类，如下：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMC5jbmJsb2dzLmNvbS9ibG9nMjAxNS8yMjMzNzQvMjAxNTA4LzExMTMxNjMxNzU0MjQwNi5wbmc=.jpg" /></p>
<h2>开始调用</h2>
<p>新建一个场景，把下面的脚本绑定到摄像机即可：</p>
<pre> 1 using LuaInterface;
 2 using UnityEngine;
 3
 4 public class LuaCallUnity : MonoBehaviour
 5 {
 6     private string lua = @"
 7 MyClass.MyFunc()
 8 ";
 9
10     void Start()
11     {
12         LuaScriptMgr luaMgr = new LuaScriptMgr();
13         luaMgr.Start();
14
15         LuaState luaState = luaMgr.lua;
16         luaState.DoString(lua);
17     }
18 }</pre>
<p>运行结果如下：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMC5jbmJsb2dzLmNvbS9ibG9nMjAxNS8yMjMzNzQvMjAxNTA4LzExMTMxOTUzNjI5Nzg5OS5wbmc=.jpg" /></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-20 14:48:24 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>uLua学习笔记（三）：Unity3D和Lua之间的相互调用的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3ZalYm0.html" rel="bookmark">菜鸟入门之lua与c&plus;&plus;相互调用&lpar;包含多个demo&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前两篇文章中,已经介绍了使用vs2010编译lua5.1源码生成lua.lib 和 vs项目中使用c++调用lua,可以保证demo在vs上运行起来了.这里再详细介绍下c++和lua之间的相互调用以及原理. c++与lua直接的调用,实际上通过一个栈结构来传递数据,该栈结构栈顶的索引值为-1,向栈底方向索引值依次为-1 ,-2......栈顶索引为1.栈结构里可以放函数,表,字符串,整形等各种lua的基本数据. 一.在当前cpp目录下创建test.lua文件,用于与c++交互调用,代码如下: p			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MoayRy3.html" rel="bookmark">Lua学习笔记&lpar;三&rpar;：表的构造</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				构造器是创建和初始化表的表达式.表是Lua特有的功能强大的东西.最简单的构造函数是{},用来创建一个空表.可以直接初始化数组: 1 days = {&quot;Sunday&quot;, &quot;Monday&quot;, &quot;Tuesday&quot;, &quot;Wednesday&quot;, 2 &quot;Thursday&quot;, &quot;Friday&quot;, &quot;Saturday&quot;} Lua将“Sunday”初始化days[1](第一个元素索引为			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MEZmJD0.html" rel="bookmark">加壳学习笔记&lpar;三&rpar;-简单的脱壳思路&amp;amp&semi;调试思路</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				首先一些windows的常用API: GetWindowTextA:以ASCII的形式的输入框 GetWindowTextW:以Unicaode宽字符的输入框 GetDlgItemTextA:以ASCII的形式的输入框 GetDlgItemTextW:以Unicaode宽字符的输入框 这些函数在使用的时候会有些参数提前入栈,如这函数要求的参数是字符串数目.还有大小写啦之类的东西,这些东西是要在调用该函数之前入栈,也就是依次push,就是说一般前面几个push接着一个call,那前面的push可能			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0bOLWp3.html" rel="bookmark">马哥学习笔记三十二&mdash;&mdash;计算机及操作系统原理</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				缓存方式: 直接映射 N路关联 缓存策略: write through:通写 write back:回写 进程类别: 交互式进程(IO密集型) 批处理进程(CPU密集型) 实时进程(Real-time) CPU: 时间片长,优先级低IO:时间片短,优先级高 Linux优先级:priority 实时优先级: 1-99,数字越小,优先级越低 静态优先级:100-139,数据越小,优先级越高 实时优先级比静态优先级高 nice值:调整静态优先级   -20,19:100,139   0:120 ps			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0j1k7gM.html" rel="bookmark">【Unity 3D】学习笔记三十七：物理引擎&mdash;&mdash;碰撞与休眠</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				碰撞与休眠 上一篇笔记说过,当给予游戏对象刚体这个组件以后,那么这个组件将存在碰撞的可能性.一旦刚体开始运动,那么系统方法便会监视刚体的碰撞状态.一般刚体的碰撞分为三种:进入碰撞,碰撞中,和碰撞结束.关于休眠可以理解成为让游戏对象变成静止状态.如果给某个游戏对象休眠的状态,那么这个物体将立马静止,不再运动. 碰撞 首先学习下碰撞几个重要的方法: OnCollisionEnter(  ):刚体开始接触的时候,立即调用. OnCollisionStay(  ):碰撞过程中,每帧都会调用此方法,直到撞			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4pQZ1gM.html" rel="bookmark">【Unity 3D】学习笔记三十三：游戏元素&mdash;&mdash;天空盒子</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				天空盒子 一般的3D游戏都会有着北京百年一遇的蓝天,让人惊叹不已.其实天空这个效果没有什么神秘的只需用到天空盒子这个组件就行,可以将天空设想成一个巨大的盒子,这个盒子将整个游戏视图和所有的游戏元素包含其中.在unity中制作天空盒子非常方便,只需要像设置其他组件一样设置下就行了.在制作天空盒子之前,我们需要搜集一些天空的贴图,不过,unity很方便的为开发者提供了天空盒子的资源包.首先在project视图中点击鼠标右键,然后选择import package--skyboxes即可添加天空盒子的资			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3ZbRkd3.html" rel="bookmark">CCNA学习笔记三&mdash;&mdash;STP生成树协议</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				广播风暴:当网络中存在物理环路,会产生广播风暴 STP协议:Spanning Tree Protocol(生成树协议) 逻辑上断开环路,防止广播风暴的产生 STP算法:(所有选择都是比小-小的当选) 选择根网桥(Root Bridge):在网络中的所有交换机中选择一台 选择依据:网桥ID(网桥优先级+MAC地址) 选择根端口(Root Ports):在所有非根网桥中选择一个 选择依据:(1)根路径成本最低 (2)直连网桥ID最小 (3)端口ID最小 选择指定端口(Designated Ports			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3ZNaOG3.html" rel="bookmark">python之转移字符（学习笔记三）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				python之转移字符(学习笔记三) 转义字符 \ 可以转义很多字符,比如 \n 表示换行, \t 表示制表符,字符 \ 本身也要转义,所以 \\ 表示的字符就是 \ ,可以在Python的交互式命令行用print打印字符串看看: 命令: &gt;&gt;&gt;print 'he\'s a boy.' &gt;&gt;&gt;print 'I\'m learning\nlinux.' &gt;&gt;&gt;print '\\\n\\' 截图: 如果字符串里面有很多字符都需要转义,就需要加很多 \ ,为			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MWjy7k4.html" rel="bookmark">angular学习笔记&lpar;三十&rpar;-指令&lpar;5&rpar;-link</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				这篇主要介绍angular指令中的link属性: link:function(scope,iEle,iAttrs,ctrl,linker){ .... } link属性值为一个函数,这个函数有五个参数:scope,iEle,iAttrs,ctrl,linker scope:指令所在的作用域,这个scope和指令定义的scope是一致的.至于指令的scope,会在讲解scope属性的时候详细解释 iEle:指令元素的jqLite封装.(也就是说iEle可以调用angular封装的简版jq的方法和属			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Z0KQwY4.html" rel="bookmark" class="title">开发利器&lowbar;ImageMagick&period;基于Linux命令行的图片缩放&sol;编辑&sol;格式转换&quest;</a>
					<div>
						简单介绍: ImageMagick是一系列的用于修改,加工图像的命令行工具,能够快速地使用命令行对图片进行操作,对大量的图片进行批处理,它能执行相当多操作,本文涉及的只是开发中常用的技能. 快速安装: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/n3Zvjd3.html" rel="bookmark" class="title">一些字符串有关的题目</a>
					<div>
						模板可以在上一篇文章中找到. 因为最近都没有做codeforces,所以这篇文章的主要题目来源就是codeforces啦~ 需要这类题目可以在codeforces上找到hashing.string s ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/47N9o93.html" rel="bookmark" class="title">Storm官方帮助手册翻译&lpar;上&rpar;</a>
					<div>
						Storm作为当前最流行的实时计算框架,自Twitter将其开源后就一直备受关注.由于其具有先天的稳定性以及便捷性,目前被许多大公司所采用,国外像雅虎.雅虎日本.Twitter.OOYALA.Spot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3vKQlg4.html" rel="bookmark" class="title">3892&colon; &lbrack;Usaco2014 Dec&rsqb;Marathon</a>
					<div>
						3892: [Usaco2014 Dec]Marathon Time Limit: 10 Sec  Memory Limit: 128 MBSubmit: 169  Solved: 100[Submi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4Nz9rJ4.html" rel="bookmark" class="title">开发工具 - ObjectArx</a>
					<div>
						虽然Civil3D .NET API是基于AutoCAD .NET API开发的,但是做Civil3D二次开发的时候,我们并不直接需要用到ObjectArx.Civil3D Plugin projec ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MGaP6b3.html" rel="bookmark" class="title">python临时文件之当前星期几</a>
					<div>
						# -*- coding: utf-8 -*- # python:2.x __author__ = 'Administrator' import datetime as s print def a() ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0nkP1o3.html" rel="bookmark" class="title">EnablePrefetcher注册表项的修改与电脑提速</a>
					<div>
						前些天在图书馆找教材,偶然发现一本windows dos命令应用技巧的书,发现了几个有用的注册表项 EnablePrefetcher这个注册表项是windows用来控制系统预读取数据开放程度的参数,其 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0KBzkyM.html" rel="bookmark" class="title">Big Spatio temporal Data&lpar;R-tree Index and NN &amp;amp&semi; RNN &amp;amp&semi; Skyline&rpar;</a>
					<div>
						一.简单介绍大数据技术产物 “大数据”一词首先出现在2008年9月&lt;Nature&gt;杂志发表的一篇名为“Big Data: Wikiomics”的文章上(Mitch,2008).“大数据科学 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MgNdxN4.html" rel="bookmark" class="title">基于opencv的摄像头的标定</a>
					<div>
						四个坐标系分别为:世界坐标系(Ow),摄像机坐标系(Oc),图像物理坐标系(O1,单位mm),图像像素坐标系(O,位于视野平面的左上角,单位pix). 空间某点P到其像点p的坐标转换过程主要是通过这四 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MXn7dz3.html" rel="bookmark" class="title">yum安装实现lamp分离及Xcache加速</a>
					<div>
						LAMP的搭建: 准备前提: 虚拟机:Centos7   172.18.250.77   安装httpd,通过Fcgi模块来跟php互动,只处理静态网页. 虚拟机:Centos7   172.18.2 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3qEk253.html" rel="bookmark" class="title">懒人创造了方法</a>
					<div>
						懒人创造了方法,但真的是懒人吗?其实不然.每一个人的精力是有限的,一天24小时,一年365天.但为何有人能够管理几人小组,一个部门,甚至几千 员工,乃至一国之治理.然而有些人却只能从事团队小组中一员, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0e7ZeJ4.html" rel="bookmark" class="title">Morley&rsquo;s Theorem（几何&plus;UVA11178）</a>
					<div>
						题意:Morley定理,求D.E.F的坐标 思路:没什么算法,就是几何的应用.注意旋转角就好了. 转载请注明出处:寻找&amp;星空の孩子 题目链接:UVA11178 #include&lt;cstd ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0ekyAw4.html" rel="bookmark" class="title">python学习笔记&mdash;&mdash;贰</a>
					<div>
						第二周 模块  库 相当于java导包 标准库 不用安装 第三方  需要安装 Python处理excel  读xlrd模块 写 XlsxWriter 模块 windows安装库很简单  python2 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/38bbX2M.html" rel="bookmark" class="title">MySql之分区分表</a>
					<div>
						MySql之分区分表 分表的概念 分表:将一个大表按照一定的规则分解成多张具有独立存储空间的实体表,每个表都对应三个文件,MYD数据文件,.MYI索引文件,.frm表结构文件.这些表可以分布在同一块磁 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0nPlaK4.html" rel="bookmark" class="title">继承中參数传递及调用顺序</a>
					<div>
						一.简单派生类的构造函数传參 C++语言的继承特性,指子类能够继承父类的属性和行为,并能够又一次定义或加入新的属性和行为. 父类中为private型的属性和行为尽管被继承,可是子类中仍不能訪问.在继承 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0aRnDE3.html" rel="bookmark" class="title">【BZOJ1449&sol;2895】&lbrack;JSOI2009&rsqb;球队收益&sol;球队预算 最小费用最大流</a>
					<div>
						[BZOJ2895]球队预算 Description 在一个篮球联赛里,有n支球队,球队的支出是和他们的胜负场次有关系的,具体来说,第i支球队的赛季总支出是Ci*x^2+Di*y^2,Di&lt;=C ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/47emvD0.html" rel="bookmark" class="title">PHP基础教程 HTTP简介，http是一个属于应用层的面向对象的协议</a>
					<div>
						HTTP是一个属于应用层的面向对象的协议,由于其简捷.快速的方式,适用于分布式超媒体信息系统.它于1990年提出,经过几年的使用与发展,得到不断地完善和扩展.目前在WWW中使用的是HTTP/1.0的第 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0lNKyL4.html" rel="bookmark" class="title">C&num; Best Practices - Building Good Classes</a>
					<div>
						Building a Class The last four refer as members Signature Accessiblity modifier (Default:internal) c ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4J9g7l3.html" rel="bookmark" class="title">UIBarButtonItem改变系统rightbutton和leftbutton的位置</a>
					<div>
						由于系统的UIBarButtonItem *rightButton和UIBarButtonItem *rightButton的位置已经固定,但有时我们又想改变他的位置,可以这么做   // 设置右边的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MzklX20.html" rel="bookmark" class="title">&lbrack;&excl;&rsqb; Error installing AFNetworking</a>
					<div>
						cocoaPods 报错!!! [!] Error installing AFNetworking[!] /usr/local/bin/git clone https://github.com/AFN ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.023 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
